/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "deal.h"

/**
 * Init the poker match round.
 * @param poker The poker game context.
 */
void pokerMatchInit(poker_t *poker);

/**
 * Update the poker match round.
 * @param poker The poker match to update for.
 */
void pokerMatchUpdate(poker_t *poker);